Subject: Re: [PATCH] daemon: send stderr of service programs to the syslog

From: "H. Peter Anvin" <[email-masked]>
Date: Mon, 15 Jun 2009 12:06:01 -0700

Shawn O. Pearce wrote:
> 
> They could, if they were broken.  :-)
> 
> IIRC only upload-pack produces progress (from pack-objects).
> It does so by using a pipe on fd 2, and either copying it down
> to the client via side-band, or discarding it.  So progress data
> shouldn't ever appear on upload-pack's own fd 2, which means you
> won't get it in this syslog thing.
> 
> But I have to wonder, why are we doing this?  Why can't we teach the
> individual server program to record its error to the syslog before
> it aborts?  Are we looking for SIGSEGV or something?  Its only the
> daemon program staying around in memory, but that's a lot of little
> daemons doing nothing waiting for their children to terminate.
> Seems like a waste to me.
>  

Actually, even logging signals would be useful, so I think this makes
sense.  The daemon process is pretty trivial compared to the rest of the
stuff being spawned.

	-hpa